Name:		vstar
Version:	2.24.0
Release:	%mkrel 2
Summary:	Variable star plotting
License:	GPLV2+
Group:		Sciences/Astronomy
Url:		https://www.aavso.org/vstar
Source0:	%{name}-%{version}.tar.gz
#svn export  http://vstar.svn.sourceforge.net/svnroot/vstar/tags/DEV-AAVSO-XXXXX vstar-XXXXX
#rm -rf vstar-XXXXX/mockups
#tar cjf vstar-XXXXX.tar.bz2 vstar-XXXXX
#rm -rf vstar-XXXXX

BuildRequires:	java-devel
BuildRequires:	ant
# Build runs svnversion
BuildRequires:	subversion
BuildRequires:  locales
Requires:	java
BuildArch:	noarch

%description
VStar is a multi-platform, easy-to-use variable star data
visualization and analysis tool that was developed as part of the
Citizen Sky project. Data for a star can be read from the AAVSO
database or from a text file of your own creation. It will plot the
data on a light curve then its up to you what happens next!

%prep
%setup -q -n VStar-%version
%autopatch -p1

%build
LC_ALL=UTF-8 ant

%install
#make some install dirs
%{__mkdir_p} %{buildroot}%{_bindir}
%{__mkdir_p} %{buildroot}%{_exec_prefix}/lib/%{name}

#icons
%{__mkdir_p} %{buildroot}/%{_datadir}/icons
cp extlib/vstaricon.png %{buildroot}/%{_datadir}/icons/vstar.png

#install package
cp -avr dist %{buildroot}%{_exec_prefix}/lib/%{name}
cp -avr extlib %{buildroot}%{_exec_prefix}/lib/%{name}

cat > %{buildroot}%{_bindir}/%{name} <<EOF
#!/bin/sh
cd %{_exec_prefix}/lib/%{name}
java -splash:"extlib/vstaricon.png" \
     -Xms25m -Xmx500m -jar "dist/vstar.jar" $*
EOF

#make our launch wrapper executable
chmod +x %{buildroot}%{_bindir}/*

#Menu entry
install -d -m755 %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Name=VStar
Comment=%summary
Exec=%{name}
Terminal=false
Type=Application
Icon=vstar
Categories=Astronomy;Education;Science;
EOF


%files
%doc doc data FAQ.txt
%{_bindir}/vstar
%{_exec_prefix}/lib/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/vstar.png



%changelog
* Mon Jun 30 2025 umeabot <umeabot> 2.24.0-2.mga10
+ Revision: 2231459
- Mageia 10 Mass Rebuild

* Sun Dec 15 2024 eatdirt <eatdirt> 2.24.0-1.mga10
+ Revision: 2125247
- Update to version 2.24.0

* Wed Sep 21 2022 neoclust <neoclust> 2.22.0-1.mga9
+ Revision: 1891221
- New version 2.22.0
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 2.18.0-3.mga8
+ Revision: 1501236
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 2.18.0-2.mga7
+ Revision: 1276969
- Mageia 7 Mass Rebuild

* Thu Dec 15 2016 eatdirt <eatdirt> 2.18.0-1.mga6
+ Revision: 1075419
- Update vstar to version 2.18.0

* Fri Mar 11 2016 umeabot <umeabot> 2.14.2-5.mga6
+ Revision: 989333
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.14.2-4.mga5
+ Revision: 750941
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.14.2-3.mga5
+ Revision: 690246
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 2.14.2-2.mga4
+ Revision: 530558
- Mageia 4 Mass Rebuild

* Thu Jul 25 2013 joequant <joequant> 2.14.2-1.mga4
+ Revision: 457990
- clean spec
  update to 2.14.2
- imported package vstar

